/**
 * 
 */
package de.mcs.tools.sps.emulator.emulator.holtek;

import de.mcs.tools.sps.emulator.EmulatorInput;
import de.mcs.tools.sps.emulator.EmulatorInternals;
import de.mcs.tools.sps.emulator.EmulatorOutput;
import de.mcs.tools.sps.emulator.SPSCommandDataImpl;

/**
 * @author w.klaas
 *
 */
public class SPSCommandDataJumpDown extends SPSCommandDataImpl {

  /*
   * (non-Javadoc)
   * 
   * @see
   * de.mcs.tools.sps.SPSCommandDataImpl#doWork(de.mcs.tools.sps.EmulatorInput,
   * de.mcs.tools.sps.EmulatorInternals)
   */
  @Override
  public EmulatorOutput doWork(EmulatorInput input, EmulatorInternals internals, EmulatorOutput output) {
    byte data = getData();
    if ((data >= 0) && (data < 16)) {
      internals.incAddress(-1 * data);
    } else {
      throw new IllegalArgumentException(String.format("jump target %d illegal", data));
    }
    return output;
  }

}
