package de.mcs.tools;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;

import org.junit.jupiter.api.Test;

import de.mcs.tools.sps.utils.IntelHex;

class TestIntelHex {

	@Test
	void test() throws IOException {
		File outFile = new File("output.hex");
		IntelHex intelHex = new IntelHex();
		byte[] testData = { 0x00, 0x01, 0x02, 0x03, 0x04, 0x05, 0x06, 0x07, 0x08 };
		FileOutputStream output = new FileOutputStream(outFile);
		intelHex.writeHexStream(output, testData);
		output.close();
	}

	@Test
	void testBlink() throws IOException {
		File outFile = new File("blink.hex");
		IntelHex intelHex = new IntelHex();
		byte[] testData = { 0x1F, 0x28, 0x10, 0x28, 0x34, 0, 0, 0 };
		FileOutputStream output = new FileOutputStream(outFile);
		intelHex.writeHexStream(output, testData);
		output.close();
	}
}
