package de.mcs.tools.sps.mnemonic;

import java.util.Set;

import de.mcs.tools.sps.exceptions.SyntaxError;

public interface Mnemonic {

  String getArgument();

  String getName();

  int getByte();

  boolean isUsingPage();

  void setLineNumber(int lineNumber);

  boolean hasArgument();

  void checkArgument() throws SyntaxError;

  int getLineNumber();

  boolean isLabel();

  Set<HARDWARE> allowedHardware();

  void setArgument(String string);

}
