/**
 * 
 */
package de.mcs.tools.sps.service;

import io.dropwizard.Application;
import io.dropwizard.setup.Bootstrap;
import io.dropwizard.setup.Environment;

/**
 * @author w.klaas
 *
 */
public class AsmApplication extends Application<AsmConfiguration> {

  public static void main(String[] args) throws Exception {
    new AsmApplication().run(args);
  }

  @Override
  public String getName() {
    return "sps-assembler";
  }

  @Override
  public void initialize(Bootstrap<AsmConfiguration> bootstrap) {
    // nothing to do yet
  }

  @Override
  public void run(AsmConfiguration config, Environment environment) throws Exception {
    final AsmResource resource = new AsmResource();
    final AsmHealthCheck healthCheck = new AsmHealthCheck();
    environment.healthChecks().register("template", healthCheck);
    environment.jersey().register(resource);
  }

}
